摘要: 原题 "BZOJ" "洛谷" Solution 直接很简单的树链剖分然后搞一个线段树维护一下就好了? 阅读全文
posted @ 2018-10-22 21:44 cj_gjh 阅读(107) 评论(0) 推荐(0) 编辑
摘要: 题面 "原题" Solution 我们考虑第一个雷如果确定了,显然后面每一个地方是否有雷都确定了,于是考虑2次递推。 阅读全文
posted @ 2018-10-20 21:54 cj_gjh 阅读(104) 评论(0) 推荐(0) 编辑
摘要: 题面 "原题" Solution 我们考虑ST表如何解决这道题目: 设$dp[i][j]$表示区间$i$~$i+2^j 1$的最值。 然后就考虑怎么转移? $dp[i][j]=max/min(dp[i][j 1],dp[i+(1 include include include include inc 阅读全文
posted @ 2018-10-19 22:09 cj_gjh 阅读(127) 评论(0) 推荐(0) 编辑
该文被密码保护。 阅读全文
posted @ 2018-10-19 20:50 cj_gjh 阅读(3) 评论(0) 推荐(0) 编辑
摘要: 题面 "原题" "翻译" Solution 考虑对于每一个点,显然R和S是没有用的,对吧. 于是考虑一下对于每一个点可以维护一个类似于斜率的东西,然后搞一个凸包维护一下就好了. cpp include include include include include include include d 阅读全文
posted @ 2018-10-19 17:10 cj_gjh 阅读(218) 评论(0) 推荐(0) 编辑
摘要: 题面 "原题" Solution 这道题目看到k特别小,而且k×n的空间不会GG,那么我们考虑一个DP对吧。 设$dp[i][k]$表示到了点i与最短路相差k值的方案数,然后直接记搜(不想用拓扑序列)就可以了。 cpp // luogu judger enable o2 include includ 阅读全文
posted @ 2018-10-18 22:33 cj_gjh 阅读(134) 评论(0) 推荐(0) 编辑
摘要: 题面 "原题" Solution 显然我们看到$n$这么小,可以状压一下对吧。 然后考虑一个$DP$: 设$dp[s]$表示选的数为s这个集合的答案,那么可以这么转移: $dp[s|(1 include include include include include include define l 阅读全文
posted @ 2018-10-18 22:25 cj_gjh 阅读(186) 评论(0) 推荐(0) 编辑
摘要: 题面 "原题" Solution 显然我们考虑这道题目可以很蠢的写一个Dp对吧。 考虑$dp_i,j$表示以i为根,保留j个节点的最大苹果数。 然后就可以树形Dp的写了。 cpp include include include include include include include defi 阅读全文
posted @ 2018-10-18 22:22 cj_gjh 阅读(179) 评论(0) 推荐(0) 编辑
该文被密码保护。 阅读全文
posted @ 2018-10-18 17:09 cj_gjh 阅读(8) 评论(3) 推荐(1) 编辑
摘要: 原题 "题面" Solution ~~我是不会告诉你我一开始写了一个二分答案+rand的算法的。。。~~ 这样子你可以获得80分的好成绩!!! cpp include include include include include include include define ll long lon 阅读全文
posted @ 2018-10-17 22:32 cj_gjh 阅读(191) 评论(0) 推荐(0) 编辑